

package com.vmware.vijava.vim25;

import java.util.ArrayList;
import java.util.List;





public class HostProtocolEndpoint    extends DynamicData
{

  
    public String peType;    
    public String uuid;
    public ManagedObjectReference[] hostKey;
    public String storageArray;
    public String nfsServer;
    public String nfsDir;
    public String deviceId;

    /**
     * Gets the value of the peType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPeType() {
        return peType;
    }

    /**
     * Sets the value of the peType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPeType(String value) {
        this.peType = value;
    }

    /**
     * Gets the value of the uuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * Sets the value of the uuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUuid(String value) {
        this.uuid = value;
    }

    /**
     * Gets the value of the hostKey property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the hostKey property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getHostKey().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ManagedObjectReference }
     * 
     * 
     */
   

    /**
     * Gets the value of the storageArray property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStorageArray() {
        return storageArray;
    }

    /**
     * Sets the value of the storageArray property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStorageArray(String value) {
        this.storageArray = value;
    }

    /**
     * Gets the value of the nfsServer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNfsServer() {
        return nfsServer;
    }

    /**
     * Sets the value of the nfsServer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNfsServer(String value) {
        this.nfsServer = value;
    }

    /**
     * Gets the value of the nfsDir property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNfsDir() {
        return nfsDir;
    }

    /**
     * Sets the value of the nfsDir property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNfsDir(String value) {
        this.nfsDir = value;
    }

    /**
     * Gets the value of the deviceId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeviceId() {
        return deviceId;
    }

    /**
     * Sets the value of the deviceId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeviceId(String value) {
        this.deviceId = value;
    }

	public ManagedObjectReference[] getHostKey() {
		return hostKey;
	}

	public void setHostKey(ManagedObjectReference[] hostKey) {
		this.hostKey = hostKey;
	}

}
