/*================================================================================
Copyright (c) 2013 Steve Jin. All Rights Reserved.

Redistribution and use in source and binary forms, with or without modification, 
are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice, 
this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright notice, 
this list of conditions and the following disclaimer in the documentation 
and/or other materials provided with the distribution.

* Neither the name of VMware, Inc. nor the names of its contributors may be used
to endorse or promote products derived from this software without specific prior 
written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
IN NO EVENT SHALL VMWARE, INC. OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE.
================================================================================*/

package com.vmware.vijava.vim25;

/**
* @author Steve Jin (http://www.doublecloud.org)
* @version 5.1
*/

@SuppressWarnings("all")
public class VirtualEthernetCard extends VirtualDevice { 
  public String addressType;
  public String macAddress;
  public Boolean wakeOnLanEnabled;
  public VirtualEthernetCardResourceAllocation resourceAllocation;
  public String externalId;  
  public Boolean uptCompatibilityEnabled;

  public String getAddressType() {
    return this.addressType;
  }

  public String getMacAddress() {
    return this.macAddress;
  }

  public Boolean getWakeOnLanEnabled() {
    return this.wakeOnLanEnabled;
  }

  public void setAddressType(String addressType) {
    this.addressType=addressType;
  }

  public void setMacAddress(String macAddress) {
    this.macAddress=macAddress;
  }

  public void setWakeOnLanEnabled(Boolean wakeOnLanEnabled) {
    this.wakeOnLanEnabled=wakeOnLanEnabled;
  }
  
  public VirtualEthernetCardResourceAllocation getResourceAllocation() {
    return resourceAllocation;
  }

  public void setResourceAllocation(VirtualEthernetCardResourceAllocation resourceAllocation) {
    this.resourceAllocation = resourceAllocation;
  }
  
  public String getExternalId() {
      return externalId;
  }

  public void setExternalId(String externalId) {
      this.externalId = externalId;
  }

  public Boolean getUptCompatibilityEnabled() {
      return uptCompatibilityEnabled;
  }

  public void setUptCompatibilityEnabled(Boolean uptCompatibilityEnabled) {
      this.uptCompatibilityEnabled = uptCompatibilityEnabled;
  }  
}