

package com.vmware.vijava.vim25;




public enum HostLockdownMode {

 
	lockdownDisabled("lockdownDisabled"),   
	lockdownNormal("lockdownNormal"),   
	lockdownStrict("lockdownStrict");
    private final String value;

    HostLockdownMode(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static HostLockdownMode fromValue(String v) {
        for (HostLockdownMode c: HostLockdownMode.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
